
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_faultlog")]
    public class BaseFaultlog
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        [Column("line")]
        public int? line { get; set; }

        [Column("ddate")]
        public DateTime? ddate { get; set; }

        [Column("hourtime")]
        public int? hourtime { get; set; }

        [Column("mintime")]
        public int? mintime { get; set; }

        [Column("mincreatetime")]
        public DateTime? mincreatetime { get; set; }

        [Column("maxcreatetime")]
        public DateTime? maxcreatetime { get; set; }

        [Column("faulthourtime")]
        public int? faulthourtime { get; set; }

        [Column("faultmintime")]
        public int? faultmintime { get; set; }

        [Column("rhourtime")]
        public int? rhourtime { get; set; }

        [Column("rfaultmintime")]
        public int? rfaultmintime { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

